package com.chenyang.nse.bussiness.entity.orm.table.core.generate;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_GENERATE_TASK_DETAIL"
)
public class TCoreGenerateTaskDetail extends TBaseEntity {
   private String generatetaskid;
   private String generateparamterid;
   private String taskdetailvalue;

   public TCoreGenerateTaskDetail() {
   }

   public TCoreGenerateTaskDetail(String generatetaskid, String generateparamterid, String taskdetailvalue) {
      this.generatetaskid = generatetaskid;
      this.generateparamterid = generateparamterid;
      this.taskdetailvalue = taskdetailvalue;
   }

   public String getGeneratetaskid() {
      return this.generatetaskid;
   }

   public void setGeneratetaskid(String generatetaskid) {
      this.generatetaskid = generatetaskid;
   }

   public String getGenerateparamterid() {
      return this.generateparamterid;
   }

   public void setGenerateparamterid(String generateparamterid) {
      this.generateparamterid = generateparamterid;
   }

   public String getTaskdetailvalue() {
      return this.taskdetailvalue;
   }

   public void setTaskdetailvalue(String taskdetailvalue) {
      this.taskdetailvalue = taskdetailvalue;
   }

   public int hashCode() {
      int prime = 31;
      int result = 1;
      result = 31 * result + (this.generateparamterid == null ? 0 : this.generateparamterid.hashCode());
      result = 31 * result + (this.generatetaskid == null ? 0 : this.generatetaskid.hashCode());
      result = 31 * result + (this.taskdetailvalue == null ? 0 : this.taskdetailvalue.hashCode());
      return result;
   }

   public boolean equals(Object obj) {
      if (this == obj) {
         return true;
      } else if (obj == null) {
         return false;
      } else if (this.getClass() != obj.getClass()) {
         return false;
      } else {
         TCoreGenerateTaskDetail other = (TCoreGenerateTaskDetail)obj;
         if (this.generateparamterid == null) {
            if (other.generateparamterid != null) {
               return false;
            }
         } else if (!this.generateparamterid.equals(other.generateparamterid)) {
            return false;
         }

         if (this.generatetaskid == null) {
            if (other.generatetaskid != null) {
               return false;
            }
         } else if (!this.generatetaskid.equals(other.generatetaskid)) {
            return false;
         }

         if (this.taskdetailvalue == null) {
            if (other.taskdetailvalue != null) {
               return false;
            }
         } else if (!this.taskdetailvalue.equals(other.taskdetailvalue)) {
            return false;
         }

         return true;
      }
   }

   public String toString() {
      return "TCoreGenerateTaskDetail [generatetaskid=" + this.generatetaskid + ", generateparamterid=" + this.generateparamterid + ", taskdetailvalue=" + this.taskdetailvalue + "]";
   }
}
